import { request } from '@umijs/max';

// 行业
export async function getUserLoginCountStatics(params?: API.Analysis.IndustryParams) {
  return request<API.Analysis.User>('/api/cms/statics/getUserLoginCountStatics', {
    method: 'GET',
    params,
  });
}


// 查询关键词搜索排行
export async function getKeyWordSearchRank(params?: {
  searchDate?: string;
  searchCount?: number;
  searchType?: 1 | 2 | 3;
}) {
  return request<API.Analysis.User>('/api/cms/statics/getKeyWordSearchRank', {
    method: 'GET',
    params,
  });
}

// 统计男性和女性用户偏好的期望岗位
export async function getWantedPositionStaticsCount(params?: API.Analysis.IndustryParams) {
  return request<API.Analysis.User>('/api/cms/statics/getWantedPositionStaticsCount', {
    method: 'GET',
    params,
  });
}
// 获取区域内的用户类别统计
export async function getUserStaticsByArea(area: string) {
  return request<API.Analysis.User>(`/api/cms/statics/getUserStaticsByArea/${area}`, {
    method: 'GET',
  });
}
// 获取区域内的用户类别统计
export async function getPercentOfResumeCompletionRate(params?: API.Analysis.IndustryParams) {
  return request<API.Analysis.User>(`/api/app/user/getPercentOfResumeCompletionRate`, {
    method: 'GET',
    params,
  });
}